package com.steerinfo.baseinfo.meterbaseloadpoint.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbaseloadpoint.model.MeterBaseLoadPoint;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseLoadPointMapper extends IBaseMapper<MeterBaseLoadPoint, String> {
    String GetNewID();

    String getNewCode();

    List<MeterBaseLoadPoint> selectForUpdate(Map<String, Object> parameters);
}